Train model (Anomaly)
curl --request POST \
--url https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/train/anomaly/{learnId} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"axes": [
0,
11,
22
],
"minimumConfidenceRating": 0.3,
"clusterCount": 32,
"skipEmbeddingsAndMemory": true,
"thresholds": [
{
"key": "min_score",
"description": "Score threshold",
"helpText": "Threshold score for bounding boxes. If the score for a bounding box is below this the box will be discarded.",
"value": 0.5,
"suggestedValue": 123,
"suggestedValueText": "<string>",
"dropdownOptions": [
{
"description": "<string>",
"value": "<string>"
}
]
}
]
}
'import requests
url = "https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/train/anomaly/{learnId}"
payload = {
"axes": [0, 11, 22],
"minimumConfidenceRating": 0.3,
"clusterCount": 32,
"skipEmbeddingsAndMemory": True,
"thresholds": [
{
"key": "min_score",
"description": "Score threshold",
"helpText": "Threshold score for bounding boxes. If the score for a bounding box is below this the box will be discarded.",
"value": 0.5,
"suggestedValue": 123,
"suggestedValueText": "<string>",
"dropdownOptions": [
{
"description": "<string>",
"value": "<string>"
}
]
}
]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
axes: [0, 11, 22],
minimumConfidenceRating: 0.3,
clusterCount: 32,
skipEmbeddingsAndMemory: true,
thresholds: [
{
key: 'min_score',
description: 'Score threshold',
helpText: 'Threshold score for bounding boxes. If the score for a bounding box is below this the box will be discarded.',
value: 0.5,
suggestedValue: 123,
suggestedValueText: '<string>',
dropdownOptions: [{description: '<string>', value: '<string>'}]
}
]
})
};
fetch('https://studio.edgeimpulse.com/v1/api/{projectId}/jobs/train/anomaly/{learnId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"id": 12873488112,
"error": "<string>"
}Train model (Anomaly)
Take the output from a DSP block and train an anomaly detection model using K-means or GMM. Updates are streamed over the websocket API.
POST
/
api
/
{projectId}
/
jobs
/
train
/
anomaly
/
{learnId}
Train model (Anomaly)
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Project ID
Learn Block ID, use the impulse functions to retrieve the ID
Body
application/json
Which axes (indexes from DSP script) to include in the training set
Example:
[0, 11, 22]DEPRECATED, use "thresholds" instead. Minimum confidence rating required before tagging as anomaly
Example:
0.3
Number of clusters for K-means, or number of components for GMM
Example:
32
If set, skips creating embeddings and measuring memory (used in tests)
List of configurable thresholds for this block.
Show child attributes
Show child attributes
Was this page helpful?
⌘I